0

Sena Utility App support for Bluetooth 3.0 devices, especially SMH10R

My SMH10R is less than 2 years old. 

I understand from your support@senabluetooth.zendesk.com that the Sena Utility App currently only works with Bluetooth 4.0 devices.

It would be really nice to know that Sena is a company that does not quickly abandon their products, especially when less than 2 years old.

Do you have a plan to update (or build a different version) of the Sena Utility App to support SMH10R bluetooth 3.0 devices?

If yes, when?

If no, Is it typical that Sena this quickly abandons technology?

1 comment

Please sign in to leave a comment.